const path = require('path')
const name = 'SWT Admin'

// TODO: Remember to change this to fit your need
// NODE_ENV = 'production'
// VUE_APP_BASE_API = 'http://10.0.0.142:9518/'

// NODE_ENV = 'development'
// VUE_APP_BASE_API = 'http://127.0.0.1:9527/'

module.exports = {
  outputDir: "../backend/www/admin",
  publicPath: process.env.NODE_ENV === 'production' ? '/admin/' : '/',
  lintOnSave: process.env.NODE_ENV === 'development',
  pwa: {
    name: name
  },
  pluginOptions: {
    'style-resources-loader': {
      preProcessor: 'scss',
      patterns: [
        path.resolve(__dirname, 'src/styles/_variables.scss'),
        path.resolve(__dirname, 'src/styles/_mixins.scss')
      ]
    }
  },
  chainWebpack(config) {
    // Provide the app's title in webpack's name field, so that
    // it can be accessed in index.html to inject the correct title.
    config.set('name', name)
  }
}
